Allowance
curl --request GET \
--url https://cosmos-rest.publicnode.com/cosmos/feegrant/v1beta1/allowance/{granter}/{grantee}import requests
url = "https://cosmos-rest.publicnode.com/cosmos/feegrant/v1beta1/allowance/{granter}/{grantee}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cosmos-rest.publicnode.com/cosmos/feegrant/v1beta1/allowance/{granter}/{grantee}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowance": {
"granter": "<string>",
"grantee": "<string>",
"allowance": {
"@type": "<string>"
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}feegrant
Allowance
gRPC: cosmos.feegrant.v1beta1.Query/Allowance (reference)
Allowance returns granted allowance to the grantee by the granter.
GET
/
cosmos
/
feegrant
/
v1beta1
/
allowance
/
{granter}
/
{grantee}
Allowance
Path Parameters
granter is the address of the user granting an allowance of their funds.
grantee is the address of the user being granted an allowance of another user's funds.
Response
A successful response.
QueryAllowanceResponse is the response type for the Query/Allowance RPC method.
allowance is an allowance granted for grantee by granter.
Show child attributes
Show child attributes
Was this page helpful?